/*
    SPDX-FileCopyrightText: 2024 Dmitrii Fomchenkov <fomchenkovda@basealt.ru>
    SPDX-License-Identifier: GPL-2.0-or-later
*/
#pragma once

#include "settingtheme.h"

#include <QPointer>

enum class DistroInfo
{
    NAME,
    LOGO,
    WEBSITE
};

class WelcomeDistro : public QObject
{
    Q_OBJECT

public:
    explicit WelcomeDistro(QObject* parent = nullptr);

private:
    Q_PROPERTY(QObject* settingTheme READ getSettingTheme() NOTIFY changed)
    Q_PROPERTY(QString distroName MEMBER m_distroName NOTIFY changed)
    Q_PROPERTY(QString distroLogo MEMBER m_distroLogo NOTIFY changed)
    Q_PROPERTY(QString distroUrl MEMBER m_distroUrl NOTIFY changed)

    QPointer<SettingTheme> m_settingTheme;

    Q_SIGNAL void changed();

    QObject* getSettingTheme() const;
    QString getDistInfoVal(DistroInfo) const;

    QString m_distroName;
    QString m_distroLogo;
    QString m_distroUrl;
};
